Skip to navigation

Get a webhook subscription

Available by request

Webhooks are only available for certain clients. Contact your Rush Order representative to have them enabled.

Returns one subscription. Its signing secret is never included.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

idintegerRequired
The subscription ID.

Headers

RushOrderMomCodestringRequired
All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

Response

Success
IdintegerOptional
NamestringOptional
TargetUrlstringOptional
Descriptionstring or nullOptional
ActivebooleanOptional
Inactive subscriptions receive no deliveries.
CreatedAtdatetimeOptional
ModifiedAtdatetime or nullOptional
EventTypeslist of stringsOptional
PreviousSecretExpiresAtdatetime or nullOptional
Set after a secret rotation while the previous secret is still signing deliveries.

Errors

403
Forbidden Error
404
Not Found Error